Bug 13651 - texture applied incorrect if mipmap is used and texel is minified
Summary: texture applied incorrect if mipmap is used and texel is minified
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: low minor
Assignee: haihao
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-14 00:10 UTC by WuNian
Modified: 2009-08-24 12:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
test case (2.68 KB, text/plain)
2007-12-14 00:12 UTC, WuNian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description WuNian 2007-12-14 00:10:55 UTC
If use mipmap, then draw a pixel, the texture is applied incorrect. In attached test case, the texel is minified.
Comment 1 WuNian 2007-12-14 00:12:24 UTC
Created attachment 13102 [details]
test case

If change the TEXSIZEX to 16, the bug does not exist.
Comment 2 haihao 2007-12-21 01:30:29 UTC
I don't see this issue. Maybe it has been fixed
Comment 3 WuNian 2007-12-21 01:33:38 UTC
Yes, I also can not reproduce this bug.
Comment 4 ajax at nwnk dot net 2009-08-24 12:28:43 UTC
Mass version move, cvs -> git


bug/show.html.tmpl processed on Jul 28, 2016 at 00:55:16.
(provided by the Example extension).